Subject: bug#27940: Recursively delete dir34? (yes, no, all, quit)

From: Tino Calancha <[email-masked]>
Date: Sat, 5 Aug 2017 01:18:01 +0900 (JST)

On Fri, 4 Aug 2017, Drew Adams wrote:

>>>> Shouldn't the valid-answers be "yes" and "no", not "y" and "n", for
>>>> backward compatibility?
>>> Yes, they should.
>
>>>> Maybe the "!" and "q" parts should be explained?  Or maybe just use
>>>> "yes", "no", "all", and "quite", which are self-explanatory?
>>> Look the updated patch; it's a mix:
>>> 1. uses 'yes', 'no'
>>> 2. '!', 'q', 'help'
>>>   This is similar like `query-replace' does (there is used '!', 'q', and
>>>   '?').  With 'help', a Help buffer is shown with a help message.
>
> I haven't been following this thread, so apologies if I misunderstand.
>
> Is it a good idea to mix `yes-or-no-p'-style (minibuffer) input,
> such as `yes' and `no', with `read-char'-style input, such as `!'
> and `q'?  I don't think so, a priori.  Especially for `!', which
> has worse repercussions in case of a mistake than does `y'.  No?
Agreed.  If you see my first answer i was reluctant to allow the dangerous
operation.
I will use "all" and "quit" instead of "!", "q".

* Question:
Do we need to show the help after this change?